## python-jingo 0.8

=== requirements.txt ===
# These are the reqs to build docs and run tests.
Django==1.5.2
sphinx
jinja2==2.7
nose
mock

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/zamboni.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/zamboni.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-jingo 0.7

=== debian/changelog ===
python-jingo (0.7-2~cloud0) trusty-kilo; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 16 Apr 2015 09:55:25 +0000

python-jingo (0.7-2) unstable; urgency=medium

  * Added fix-run_tests.py-with-django-1.7.patch (Closes: #765160).
  * Added defines-own-StrAndUnicode.patch.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Oct 2014 08:08:54 +0000

python-jingo (0.7-1) unstable; urgency=medium

  * Initial release. (Closes: #760862)

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Aug 2014 22:39:45 +0800

=== debian/control ===
Source: python-jingo
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-django,
               python-jinja2,
               python-mock,
               python-nose,
               python-setuptools,
               python-six,
               python-sphinx,
               python3-all,
               python3-django,
               python3-jinja2,
               python3-mock,
               python3-nose,
               python3-setuptools,
               python3-six
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-jingo.git
Vcs-Git: git://anonscm.debian.org/openstack/python-jingo.git
Homepage: http://github.com/jbalogh/jingo

Package: python-jingo
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-django, python-jinja2, ${misc:Depends}, ${python:Depends}
Description: adapter for using Jinja2 templates with Django - Python 2.x
 Jingo is an adapter for using Jinja2 templates within Django. When configured
 properly you can render Jinja2 templates in your view the same way you'd
 render Django templates.
 .
 This package contains the Python 2.x module.

Package: python3-jingo
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-django, python3-jinja2, ${misc:Depends}, ${python3:Depends}
Description: adapter for using Jinja2 templates with Django - Python 3.x
 Jingo is an adapter for using Jinja2 templates within Django. When configured
 properly you can render Jinja2 templates in your view the same way you'd
 render Django templates.
 .
 This package contains the Python 3.x module.

Package: python-jingo-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: adapter for using Jinja2 templates with Django - doc
 Jingo is an adapter for using Jinja2 templates within Django. When configured
 properly you can render Jinja2 templates in your view the same way you'd
 render Django templates.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/jbalogh/jingo.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-jingo; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-jingo; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e && for pyvers in $(PYTHONS) $(PYTHON3S); do \
		python$$pyvers run_tests.py ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html docs debian/python-jingo-doc/usr/share/doc/python-jingo-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/j/jingo jingo-(.*).tar.gz

## python-jingo 0.8

=== debian/changelog ===
python-jingo (0.8-1) unstable; urgency=medium

  * New upstream release.
  * Removed django_1.8_compatability_fixes.patch applied upstream.
  * Added fix-removed-TemplateDoesNotExist-from-django-1.9.patch
    (Closes: #806365).
  * Added fix-django.utils.importlib-removed-from-django-1.9.patch.
  * Added add-django.contrib.sites-to-installed-apps.patch.
  * Added remove-broken-django-tests.patch.
  * Fix run_tests.py for Django 1.9.
  * Moved some build-depends in build-depends-indep, added sqlite3 as
    build-depends-indep.
  * Added use-six-not-from-django.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Dec 2015 10:04:05 +0000

python-jingo (0.7.1-2) unstable; urgency=medium

  * Fix FTBFS (Closes: #806365).

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Dec 2015 09:44:15 +0000

python-jingo (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Removed defines-own-StrAndUnicode.patch applied upstream.
  * Added django_1.8_compatability_fixes.patch from upstream, to fix a Django
    1.8 compat (Closes: #801934).
  * Refreshed the other 2 patches.
  * Watch file now using github tag and not PyPi.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2015 11:46:10 +0200

=== debian/control ===
Source: python-jingo
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-django,
                     python-jinja2,
                     python-mock,
                     python-nose,
                     python-six,
                     python3-django,
                     python3-jinja2,
                     python3-mock,
                     python3-nose,
                     python3-six,
                     sqlite3,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-jingo.git
Vcs-Git: git://anonscm.debian.org/openstack/python-jingo.git
Homepage: http://github.com/jbalogh/jingo

Package: python-jingo
Architecture: all
Depends: python-django,
         python-jinja2,
         python-six,
         ${misc:Depends},
         ${python:Depends},
Description: adapter for using Jinja2 templates with Django - Python 2.x
 Jingo is an adapter for using Jinja2 templates within Django. When configured
 properly you can render Jinja2 templates in your view the same way you'd
 render Django templates.
 .
 This package contains the Python 2.x module.

Package: python3-jingo
Architecture: all
Depends: python3-django,
         python3-jinja2,
         python3-six,
         ${misc:Depends},
         ${python3:Depends},
Description: adapter for using Jinja2 templates with Django - Python 3.x
 Jingo is an adapter for using Jinja2 templates within Django. When configured
 properly you can render Jinja2 templates in your view the same way you'd
 render Django templates.
 .
 This package contains the Python 3.x module.

Package: python-jingo-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: adapter for using Jinja2 templates with Django - doc
 Jingo is an adapter for using Jinja2 templates within Django. When configured
 properly you can render Jinja2 templates in your view the same way you'd
 render Django templates.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -9,19 +9,19 @@
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
-override_dh_install:
-	set -e && for pyvers in $(PYTHONS); do \
+override_dh_auto_install:
+	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-jingo; \
 	done
-	set -e && for pyvers in $(PYTHON3S); do \
+	set -e ; for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-jingo; \
 	done
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	set -e && for pyvers in $(PYTHONS) $(PYTHON3S); do \
+	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
 		python$$pyvers run_tests.py ; \
 	done
 endif

=== debian/watch ===
version=3
https://github.com/jbalogh/jingo/tags .*/(\d[\d\.]+)\.tar\.gz

## python-jingo 0.9

=== requirements.txt ===
# These are the reqs to build docs and run tests.
Django<1.9
sphinx
jinja2
nose
mock

=== debian/changelog ===
python-jingo (0.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Rebased patches.
  * Rename patches so it's less messy.
  * Add patch (Closes: #828675):
    - add-django.contrib.sites-to-INSTALLED_APPS.patch
    - django-1.10-defines_TEMPLATES.patch
    - django-1.10-read-debug-boolean-from-template-backend.patch
    - django-1.10-django.forms.util-renamed.patch
    - django-1.10-Loader-class-__init__-takes-2-args.patch
    - django-1.10-urls.patterns-removed.patch
  * Fixed debian/copyright ordering.
  * Standards-Version is now 3.9.8 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jul 2016 09:31:10 +0000

=== debian/control ===
--- 
+++ 
@@ -21,10 +21,10 @@
                      python3-nose,
                      python3-six,
                      sqlite3,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-jingo.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-jingo.git
-Homepage: http://github.com/jbalogh/jingo
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-jingo.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-jingo.git
+Homepage: https://github.com/jbalogh/jingo
 
 Package: python-jingo
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/jbalogh/jingo.git
+UPSTREAM_GIT := https://github.com/jbalogh/jingo.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
